from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XMenuListener(XEventListener, Protocol):
    def itemHighlighted(self, aEvent: MenuEvent) -> None: ...
    def itemSelected(self, aEvent: MenuEvent) -> None: ...
    def itemActivated(self, aEvent: MenuEvent) -> None: ...
    def itemDeactivated(self, aEvent: MenuEvent) -> None: ...
